#!/bin/bash

dir=`dirname $0`;


IMAGE_NGINX_PHP_DRUPAL="my_nginx_drupal_volumes"

# On s'occupe ici de créer l'image $IMAGE_NGINX_PHP_DRUPAL

cd "${dir}/nginx-php-drupal"

# Création de l'image docker si non existante avec les volumes
`docker image inspect $IMAGE_NGINX_PHP_DRUPAL > /dev/null 2>/dev/null;`
ret=$?;
if [ $ret -ne 0  ]; then
    echo "Creation de l image $IMAGE_NGINX_PHP_DRUPAL";
    docker build -t $IMAGE_NGINX_PHP_DRUPAL .;
fi

# FIN DE On s'occupe ici de créer l'image $IMAGE_NGINX_PHP_DRUPAL

cd "${dir}"



#Lancement du docker compose

`docker-compose up -d`


docker-compose logs


